--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/prelevement/fiche-rejet.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/prelevement/fiche-rejet.php	2025-06-27 11:43:39.702771000 +0000
@@ -1,9 +1,9 @@
 <?php
 /* Copyright (C) 2005      Rodolphe Quiedeville <rodolphe@quiedeville.org>
- * Copyright (C) 2005-2025 Laurent Destailleur  <eldy@users.sourceforge.net>
+ * Copyright (C) 2005      Laurent Destailleur  <eldy@users.sourceforge.net>
  * Copyright (C) 2005-2010 Regis Houssin        <regis.houssin@inodbox.com>
  * Copyright (C) 2010-2012 Juanjo Menent        <jmenent@2byte.es>
- * Copyright (C) 2024      Frédéric France      <frederic.france@free.fr>
+ * Copyright (C) 2024       Frédéric France         <frederic.france@free.fr>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -46,7 +46,7 @@
  */
 
 // Load translation files required by the page
-$langs->loadLangs(array("banks", "categories", "companies", 'withdrawals', 'bills'));
+$langs->loadLangs(array("banks", "categories", 'withdrawals', 'bills'));
 
 // Security check
 if ($user->socid > 0) {
@@ -76,9 +76,6 @@
 // Load object
 include DOL_DOCUMENT_ROOT.'/core/actions_fetchobject.inc.php'; // Must be 'include', not 'include_once'. Include fetch and fetch_thirdparty but not fetch_optionals
 
-// Check if salary or invoice
-$salaryBonPl = $object->checkIfSalaryBonPrelevement();
-
 // Security check
 if ($user->socid > 0) {
 	accessforbidden();
@@ -92,6 +89,7 @@
 }
 
 
+
 /*
  * View
  */
@@ -227,8 +225,11 @@
 $sql .= " AND pl.fk_prelevement_bons = p.rowid";
 $sql .= " AND p.entity IN (".getEntity('facture').")";
 $sql .= " AND pl.fk_soc = s.rowid";
-$sql .= " AND pl.statut = 3";
+$sql .= " AND pl.statut = 3 ";
 $sql .= " AND pr.fk_prelevement_lignes = pl.rowid";
+/*if ($socid) {
+	$sql .= " AND s.rowid = ".((int) $socid);
+}*/
 $sql .= " ORDER BY pl.amount DESC";
 
 // Count total nb of records
@@ -251,20 +252,16 @@
 	// @phan-suppress-next-line PhanPluginSuspiciousParamOrder
 	print_barre_liste($langs->trans("Rejects"), $page, $_SERVER["PHP_SELF"], '', $sortfield, $sortorder, '', $num, $nbtotalofrecords, '');
 
-	$param = '&id='.((int) $object->id);
-
 	print"\n<!-- debut table -->\n";
 	print '<div class="div-table-responsive-no-min">'; // You can use div-table-responsive-no-min if you don't need reserved height for your table
 	print '<table class="noborder centpercent">';
 	print '<tr class="liste_titre">';
-	print_liste_field_titre("Line", $_SERVER["PHP_SELF"], "pl.rowid", '', $param, '', $sortfield, $sortorder);
-	print_liste_field_titre((!$salaryBonPl ? "ThirdParty" : "Employee"), $_SERVER["PHP_SELF"], "s.nom", '', $param, '', $sortfield, $sortorder);
-	print_liste_field_titre("Amount", $_SERVER["PHP_SELF"], "pl.amount", '', $param, '', $sortfield, $sortorder, 'right ');
-	print_liste_field_titre("Reason", $_SERVER["PHP_SELF"], "pr.motif", '', $param, '', $sortfield, $sortorder);
-	print_liste_field_titre("ToBill", $_SERVER["PHP_SELF"], "", '', $param, '', $sortfield, $sortorder, 'center ');
-	print_liste_field_titre("");
+	print '<td>'.$langs->trans("Line").'</td><td>'.$langs->trans("ThirdParty").'</td><td class="right">'.$langs->trans("Amount").'</td>';
+	print '<td>'.$langs->trans("Reason").'</td><td align="center">'.$langs->trans("ToBill").'</td>';
+	print '<td class="center">';
 	// Invoice to charge the error. No yet implemented.
 	//print $langs->trans("Invoice");
+	print '</td>';
 	print '</tr>';
 
 	$total = 0;

########## contact/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/contact/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/contact/list.php	2025-06-27 11:43:39.946308000 +0000
@@ -845,7 +845,7 @@
 if ($optioncss != '') {
 	$param .= '&optioncss='.urlencode($optioncss);
 }
-$param .= '&userid='.urlencode((string) $userid).'&contactname='.urlencode((string) $search_all);
+$param .= '&begin='.urlencode((string) ($begin)).'&userid='.urlencode((string) ($userid)).'&contactname='.urlencode((string) ($search_all));
 $param .= '&type='.urlencode($type).'&view='.urlencode($view);
 if (!empty($search_sale) && $search_sale != '-1') {
 	$param .= '&search_sale='.urlencode($search_sale);

########## contrat/class/api_contracts.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/contrat/class/api_contracts.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/contrat/class/api_contracts.class.php	2025-06-27 11:43:38.871796000 +0000
@@ -114,7 +114,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## contrat/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/contrat/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/contrat/list.php	2025-06-27 11:43:38.891950000 +0000
@@ -149,7 +149,10 @@
 
 $result = restrictedArea($user, 'contrat', $id);
 
-$diroutputmassaction = $conf->contract->dir_output.'/temp/massgeneration/'.$user->id;
+$diroutputmassaction = $conf->contrat->dir_output.'/temp/massgeneration/'.$user->id;
+
+$staticcontrat = new Contrat($db);
+$staticcontratligne = new ContratLigne($db);
 
 if ($search_status == '') {
 	$search_status = 1;
@@ -158,7 +161,6 @@
 // Initialize a technical object to manage hooks of page. Note that conf->hooks_modules contains an array of hook context
 $object = new Contrat($db);
 $extrafields = new ExtraFields($db);
-$staticcontratligne = new ContratLigne($db);
 
 // fetch optionals attributes and labels
 $extrafields->fetch_name_optionals_label($object->table_element);
@@ -250,7 +252,7 @@
 	$search_town = '';
 	$search_zip = "";
 	$search_state = "";
-	$search_type_thirdparty = '';
+	$search_type = '';
 	$search_country = '';
 	$search_contract = "";
 	$search_ref_customer = "";
@@ -286,6 +288,7 @@
 	$search_status = "";
 	$search_signed_status = '';
 	$toselect = array();
+	$search_type_thirdparty = '';
 	$searchCategoryCustomerList = array();
 	$search_array_options = array();
 }
@@ -293,7 +296,7 @@
 if (empty($reshook)) {
 	$objectclass = 'Contrat';
 	$objectlabel = 'Contracts';
-	$uploaddir = $conf->contract->dir_output;
+	$uploaddir = $conf->contrat->dir_output;
 	include DOL_DOCUMENT_ROOT.'/core/actions_massactions.inc.php';
 }
 
@@ -340,11 +343,11 @@
 
 $sqlfields = $sql; // $sql fields to remove for count total
 
-$sql .= " FROM ".MAIN_DB_PREFIX."contrat as c";
-$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."societe as s ON (c.fk_soc = s.rowid)";
+$sql .= " FROM ".MAIN_DB_PREFIX."societe as s";
 $sql .= " LEFT JOIN ".MAIN_DB_PREFIX."c_country as country on (country.rowid = s.fk_pays)";
 $sql .= " LEFT JOIN ".MAIN_DB_PREFIX."c_typent as typent on (typent.id = s.fk_typent)";
 $sql .= " LEFT JOIN ".MAIN_DB_PREFIX."c_departements as state on (state.rowid = s.fk_departement)";
+$sql .= ", ".MAIN_DB_PREFIX."contrat as c";
 if (!empty($extrafields->attributes[$object->table_element]['label']) && is_array($extrafields->attributes[$object->table_element]['label']) && count($extrafields->attributes[$object->table_element]['label'])) {
 	$sql .= " LEFT JOIN ".MAIN_DB_PREFIX.$object->table_element."_extrafields as ef on (c.rowid = ef.fk_object)";
 }
@@ -353,11 +356,8 @@
 	$sql .= ", ".MAIN_DB_PREFIX."element_contact as ec";
 	$sql .= ", ".MAIN_DB_PREFIX."c_type_contact as tc";
 }
-// Add table from hooks
-$parameters = array();
-$reshook = $hookmanager->executeHooks('printFieldListFrom', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
-$sql .= $hookmanager->resPrint;
-$sql .= " WHERE c.entity IN (".getEntity('contract').")";
+$sql .= " WHERE c.fk_soc = s.rowid ";
+$sql .= ' AND c.entity IN ('.getEntity('contract').')';
 if ($search_type_thirdparty != '' && $search_type_thirdparty > 0) {
 	$sql .= " AND s.fk_typent IN (".$db->sanitize($db->escape($search_type_thirdparty)).')';
 }
@@ -394,6 +394,9 @@
 if ($search_country && $search_country != '-1') {
 	$sql .= " AND s.fk_pays IN (".$db->sanitize($search_country).')';
 }
+/*if ($search_sale > 0) {
+	$sql .= " AND s.rowid = sc.fk_soc AND sc.fk_user = ".((int) $search_sale);
+}*/
 if ($search_all) {
 	$sql .= natural_search(array_keys($fieldstosearchall), $search_all);
 }
@@ -661,7 +664,7 @@
 	$param .= '&search_date_creation_startday='.urlencode((string) ($search_date_creation_startday));
 }
 if ($search_date_creation_start) {
-	$param .= '&search_date_creation_start='.urlencode((string) $search_date_creation_start);
+	$param .= '&search_date_creation_start='.urlencode($search_date_creation_start);
 }
 if ($search_date_creation_endmonth) {
 	$param .= '&search_date_creation_endmonth='.urlencode((string) ($search_date_creation_endmonth));
@@ -673,7 +676,7 @@
 	$param .= '&search_date_creation_endday='.urlencode((string) ($search_date_creation_endday));
 }
 if ($search_date_creation_end) {
-	$param .= '&search_date_creation_end='.urlencode((string) $search_date_creation_end);
+	$param .= '&search_date_creation_end='.urlencode($search_date_creation_end);
 }
 if ($search_date_modif_startmonth) {
 	$param .= '&search_date_modif_startmonth='.urlencode((string) ($search_date_modif_startmonth));
@@ -685,7 +688,7 @@
 	$param .= '&search_date_modif_startday='.urlencode((string) ($search_date_modif_startday));
 }
 if ($search_date_modif_start) {
-	$param .= '&search_date_modif_start='.urlencode((string) $search_date_modif_start);
+	$param .= '&search_date_modif_start='.urlencode($search_date_modif_start);
 }
 if ($search_date_modif_endmonth) {
 	$param .= '&search_date_modif_endmonth='.urlencode((string) ($search_date_modif_endmonth));
@@ -697,7 +700,7 @@
 	$param .= '&search_date_modif_endday='.urlencode((string) ($search_date_modif_endday));
 }
 if ($search_date_modif_end) {
-	$param .= '&search_date_modif_end=' . urlencode((string) $search_date_modif_end);
+	$param .= '&search_date_modif_end=' . urlencode($search_date_modif_end);
 }
 if ($search_date_startday > 0) {
 	$param .= '&search_date_startday='.urlencode((string) ($search_date_startday));

########## core/actions_addupdatedelete.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/actions_addupdatedelete.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/actions_addupdatedelete.inc.php	2025-06-27 11:43:41.102435000 +0000
@@ -61,9 +61,6 @@
  * @var string $hidedetails
  * @var string $hidedesc
  * @var string $hideref
- * @var ?string $confirm
- * @var ?int $lineid
- * @var ?int $id
  */
 // $action or $cancel must be defined
 // $object must be defined

########## core/actions_builddoc.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/actions_builddoc.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/actions_builddoc.inc.php	2025-06-27 11:43:41.008508000 +0000
@@ -29,29 +29,20 @@
 // $permissiontoadd must be defined
 // $upload_dir must be defined (example $conf->project->dir_output . "/";)
 // $hidedetails, $hidedesc, $hideref and $moreparams may have been set or not.
-
 /**
  * @var Conf $conf
  * @var Translate $langs
  * @var User $user
- * @var CommonObject $object
- *
  * @var string $action
  * @var int $id
- * @var ?int $permissioncreate
- * @var ?int $usercangeneratedoc
+ * @var CommonObject $object
+ * @var ?int $permissiontocreate
  * @var int $permissiontoadd
  * @var string $upload_dir
- *
  * @var ?int $hidedetails
  * @var ?int $hidedesc
  * @var ?int $hideref
- * @var ?array<string,mixed> $moreparams
  */
-'
-@phan-var-force ?array<string,mixed> $moreparams
-';
-
 if (!empty($permissioncreate) && empty($permissiontoadd)) {
 	$permissiontoadd = $permissioncreate; // For backward compatibility
 }
@@ -96,10 +87,18 @@
 		}
 
 		// To be sure vars is defined
-		$hidedetails = isset($hidedetails) ? $hidedetails : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DETAILS') ? 1 : 0);
-		$hidedesc = isset($hidedesc) ? $hidedesc : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DESC') ? 1 : 0);
-		$hideref = isset($hideref) ? $hideref : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_REF') ? 1 : 0);
-		$moreparams = isset($moreparams) ? $moreparams : null;
+		if (empty($hidedetails)) {
+			$hidedetails = 0;
+		}
+		if (empty($hidedesc)) {
+			$hidedesc = 0;
+		}
+		if (empty($hideref)) {
+			$hideref = 0;
+		}
+		if (empty($moreparams)) {
+			$moreparams = null;
+		}
 
 		$result = $object->generateDocument($object->model_pdf, $outputlangs, $hidedetails, $hidedesc, $hideref, $moreparams);
 		if ($result <= 0) {

########## core/actions_massactions.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/actions_massactions.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/actions_massactions.inc.php	2025-06-27 11:43:40.953219000 +0000
@@ -1,5 +1,6 @@
 <?php
-/* Copyright (C) 2015-2025  Laurent Destailleur  	<eldy@users.sourceforge.net>
+
+/* Copyright (C) 2015-2017  Laurent Destailleur  	<eldy@users.sourceforge.net>
  * Copyright (C) 2018-2021  Nicolas ZABOURI	        <info@inovea-conseil.com>
  * Copyright (C) 2018 	    Juanjo Menent           <jmenent@2byte.es>
  * Copyright (C) 2019 	    Ferran Marcet           <fmarcet@2byte.es>
@@ -33,7 +34,6 @@
 
 // $permissiontoread, $permissiontoadd, $permissiontodelete, $permissiontoclose may be defined
 // $uploaddir may be defined (example to $conf->project->dir_output."/";)
-// $hidedetails, $hidedesc, $hideref and $moreparams may have been set or not.
 // $toselect may be defined
 // $diroutputmassaction may be defined
 // $confirm
@@ -47,31 +47,24 @@
  * @var User $user
  *
  * @var string $dolibarr_main_url_root
- * @var string $action
- * @var string $massaction
- * @var string $confirm
- * @var ?int[] $toselect
- * @var ?string $diroutputmassaction
- * @var string $uploaddir
- * @var string $objectclass
- * @var ?string $objectlabel
- *
- * @var int $error
- *
  * @var ?string $permissiontoadd
  * @var ?string $permissiontoread
  * @var ?string $permissiontodelete
  * @var ?string $permissiontoclose
  * @var ?string $permissiontoapprove
+ * @var ?int[] $toselect
+ * @var ?string $diroutputmassaction
+ * @var ?string $objectlabel
  * @var ?string $option
  * @var int $deliveryreceipt
+ * @var string $action
+ * @var string $massaction
+ * @var string $objectclass
+ * @var string $uploaddir
+ * @var string $confirm
  * @var string $month
  * @var string $year
- * @var ?string $search_status
- * @var ?int $hidedetails
- * @var ?int $hidedesc
- * @var ?int $hideref
- * @var ?array<string,mixed> $moreparams
+ * @var int $error
  */
 '
 @phan-var-force ?string $permissiontoread
@@ -83,7 +76,6 @@
 @phan-var-force ?string $objectlabel
 @phan-var-force ?string $option
 @phan-var-force int $deliveryreceipt
-@phan-var-force ?array<string,mixed> $moreparams
 ';
 
 
@@ -95,6 +87,7 @@
 if (empty($massaction)) {
 	$massaction = '';
 }
+$error = 0;
 
 // Note: list of strings for objectclass could be extended to accepted/expected classes
 '
@@ -846,10 +839,7 @@
 	foreach ($listofobjectref as $tmppdf) {
 		$arrayofinclusion[] = '^'.preg_quote(dol_sanitizeFileName($tmppdf), '/').'_[a-zA-Z0-9\-\_\'\&\.]+\.pdf$'; // To include PDF generated from ODX files
 	}
-
-	$listoffiles = dol_dir_list($uploaddir, 'all', 1, $arrayofinclusion, '\.meta$|\.png$', 'date', SORT_DESC, 0, 1);
-
-	dol_syslog("Found ".count($listoffiles)." files");
+	$listoffiles = dol_dir_list($uploaddir, 'all', 1, implode('|', $arrayofinclusion), '\.meta$|\.png', 'date', SORT_DESC, 0, 1);
 
 	// build list of files with full path
 	$files = array();
@@ -1092,14 +1082,13 @@
 						}
 						$model = $objecttmp->model_pdf;
 						$ret = $objecttmp->fetch($objecttmp->id); // Reload to get new records
-
 						// To be sure vars is defined
-						$hidedetails = isset($hidedetails) ? $hidedetails : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DETAILS') ? 1 : 0);
-						$hidedesc = isset($hidedesc) ? $hidedesc : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DESC') ? 1 : 0);
-						$hideref = isset($hideref) ? $hideref : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_REF') ? 1 : 0);
-						$moreparams = isset($moreparams) ? $moreparams : null;
+						$hidedetails = !empty($hidedetails) ? $hidedetails : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DETAILS') ? 1 : 0);
+						$hidedesc = !empty($hidedesc) ? $hidedesc : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DESC') ? 1 : 0);
+						$hideref = !empty($hideref) ? $hideref : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_REF') ? 1 : 0);
+						$moreparams = !empty($moreparams) ? $moreparams : null;
 
-						$result = $objecttmp->generateDocument($model, $outputlangs, $hidedetails, $hidedesc, $hideref, $moreparams);
+						$result = $objecttmp->generateDocument($model, $outputlangs, $hidedetails, $hidedesc, $hideref);
 						if ($result < 0) {
 							setEventMessages($objecttmp->error, $objecttmp->errors, 'errors');
 						}
@@ -1257,10 +1246,18 @@
 			}
 
 			// To be sure vars is defined
-			$hidedetails = isset($hidedetails) ? $hidedetails : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DETAILS') ? 1 : 0);
-			$hidedesc = isset($hidedesc) ? $hidedesc : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DESC') ? 1 : 0);
-			$hideref = isset($hideref) ? $hideref : (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_REF') ? 1 : 0);
-			$moreparams = isset($moreparams) ? $moreparams : null;
+			if (empty($hidedetails)) {
+				$hidedetails = (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DETAILS') ? 1 : 0);
+			}
+			if (empty($hidedesc)) {
+				$hidedesc = (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_DESC') ? 1 : 0);
+			}
+			if (empty($hideref)) {
+				$hideref = (getDolGlobalString('MAIN_GENERATE_DOCUMENTS_HIDE_REF') ? 1 : 0);
+			}
+			if (empty($moreparams)) {
+				$moreparams = null;
+			}
 
 			$result = $objecttmp->generateDocument($objecttmp->model_pdf, $outputlangs, $hidedetails, $hidedesc, $hideref, $moreparams);
 

########## core/actions_sendmails.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/actions_sendmails.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/actions_sendmails.inc.php	2025-06-27 11:43:40.955340000 +0000
@@ -145,7 +145,7 @@
 		$result = $object->fetch($id);
 
 		if (method_exists($object, "fetch_thirdparty") && !in_array($object->element, array('member', 'user', 'expensereport', 'societe', 'contact'))) {
-			$object->fetch_thirdparty();
+			$resultthirdparty = $object->fetch_thirdparty();
 			$thirdparty = $object->thirdparty;
 			if (is_object($thirdparty)) {
 				$sendtosocid = $thirdparty->id;

########## core/ajax/fetchCategories.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/ajax/fetchCategories.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/ajax/fetchCategories.php	2025-06-27 11:43:40.995821000 +0000
@@ -1,6 +1,5 @@
 <?php
 /* Copyright (C) 2024       Frédéric France         <frederic.france@free.fr>
- * Copyright (C) 2025       Laurent Destailleur     <eldy@users.sourceforge.net>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -103,7 +102,7 @@
 	}
 	*/
 	foreach ($cate_arbo as $categ) {
-		$response[] = array('id' => $categ['id'], 'label' => $categ['label'], 'fulllabel' => $categ['fulllabel'], 'htmlforoption' => dolPrintHTML((string) $categ['fulllabel']), 'htmlforattribute' => dolPrintHTMLForAttribute((string) $categ['data-html']), 'color' => $categ['color']);
+		$response[] = array('id' => $categ['id'], 'label' => $categ['label'], 'fulllabel' => $categ['fulllabel'], 'htmlforoption' => dolPrintHTML($categ['fulllabel']), 'htmlforattribute' => dolPrintHTMLForAttribute($categ['data-html']), 'color' => $categ['color']);
 	}
 	$response =json_encode($response);
 	echo $response;

########## core/boxes/box_actions_future.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/boxes/box_actions_future.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/boxes/box_actions_future.php	2025-06-27 11:43:41.058402000 +0000
@@ -55,10 +55,6 @@
 		$this->enabled = isModEnabled('agenda');
 
 		$this->hidden = !($user->hasRight('agenda', 'myactions', 'read'));
-
-		$this->urltoaddentry = DOL_URL_ROOT.'/comm/action/card.php?action=create';
-
-		$this->msgNoRecords = 'NoUpcomingEvent';
 	}
 
 	/**
@@ -69,7 +65,7 @@
 	 */
 	public function loadBox($max = 5)
 	{
-		global $user, $langs;
+		global $user, $langs, $conf;
 
 		$this->max = $max;
 
@@ -80,10 +76,7 @@
 		$societestatic = new Societe($this->db);
 		$actionstatic = new ActionComm($this->db);
 
-		$text = $langs->trans("BoxTitleFutureActions", $max);
-		$this->info_box_head = array(
-			'text' => $text.'<a class="paddingleft" href="'.DOL_URL_ROOT.'/comm/action/list.php?sortfield=a.datep&datestart_dtstartday='.dol_print_date($now, '%d').'&datestart_dtstartmonth='.dol_print_date($now, '%m').'&datestart_dtstartyear='.dol_print_date($now, '%Y').'&sortorder=ASC"><span class="badge">...</span></a>'
-		);
+		$this->info_box_head = array('text' => $langs->trans("BoxTitleFutureActions", $max));
 
 		if ($user->hasRight('agenda', 'myactions', 'read')) {
 			$sql = "SELECT a.id, a.label, a.datep as dp, a.percent as percentage";
@@ -184,6 +177,13 @@
 					$line++;
 				}
 
+				if ($num == 0) {
+					$this->info_box_contents[$line][0] = array(
+						'td' => 'class="center"',
+						'text' => '<span class="opacitymedium">'.$langs->trans("NoActionsToDo").'</span>'
+					);
+				}
+
 				$this->db->free($result);
 			} else {
 				$this->info_box_contents[0][0] = array(

########## core/boxes/box_commandes.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/boxes/box_commandes.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/boxes/box_commandes.php	2025-06-27 11:43:41.035609000 +0000
@@ -121,8 +121,9 @@
 			$result = $this->db->query($sql);
 			if ($result) {
 				$num = $this->db->num_rows($result);
-
+				$num=0;
 				$line = 0;
+
 				while ($line < $num) {
 					$objp = $this->db->fetch_object($result);
 					$date = $this->db->jdate($objp->date_commande);

########## core/boxes/box_contacts.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/CMailFile.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/CMailFile.class.php	2025-06-27 11:43:40.181045000 +0000
@@ -205,26 +205,26 @@
 	/**
 	 *	CMailFile
 	 *
-	 *	@param 	string		$subject             	Topic/Subject of mail
-	 *	@param 	string		$to                  	Recipients emails (RFC 2822: "Name firstname <email>[, ...]" or "email[, ...]" or "<email>[, ...]"). Note: the keyword '__SUPERVISOREMAIL__' is not allowed here and must be replaced by caller.
-	 *	@param 	string		$from                	Sender email      (RFC 2822: "Name firstname <email>[, ...]" or "email[, ...]" or "<email>[, ...]")
-	 *	@param 	string		$msg                 	Message
-	 *	@param 	?string[]	$filename_list       	List of files to attach (full path of filename on file system)
-	 *	@param 	?string[]	$mimetype_list       	List of MIME type of attached files
-	 *	@param 	?string[]	$mimefilename_list   	List of attached file name in message
-	 *	@param 	string		$addr_cc             	Email cc (Example: 'abc@def.com, ghk@lmn.com')
-	 *	@param 	string		$addr_bcc            	Email bcc (Note: This is autocompleted with MAIN_MAIL_AUTOCOPY_TO if defined)
-	 *	@param 	int<0,1>	$deliveryreceipt     	Ask a delivery receipt
-	 *	@param 	int<-1,1>	$msgishtml           	1=String IS already html, 0=String IS NOT html, -1=Unknown make autodetection (with fast mode, not reliable)
-	 *	@param 	string		$errors_to      	 	Email for errors-to
-	 *	@param	string|array<string,string>	$css	Css option (should be array, legacy: empty string if none)
-	 *	@param	string		$trackid             	Tracking string (contains type and id of related element)
-	 *  @param  string  	$moreinheader        	More in header. $moreinheader must contains the "\r\n" at end of each line
-	 *  @param  string  	$sendcontext      	 	'standard', 'emailing', 'ticket', 'password', ... (used to define which sending mode and parameters to use)
-	 *  @param	string		$replyto			 	Reply-to email (will be set to the same value than From by default if not provided)
-	 *  @param	string		$upload_dir_tmp		 	Temporary directory (used to convert images embedded as img src=data:image)
-	 *  @param	string		$in_reply_to		 	Message-ID of the message we reply to
-	 *  @param	string		$references			 	String with list of Message-ID of the thread ('<123> <456> ...')
+	 *	@param 	string	$subject             Topic/Subject of mail
+	 *	@param 	string	$to                  Recipients emails (RFC 2822: "Name firstname <email>[, ...]" or "email[, ...]" or "<email>[, ...]"). Note: the keyword '__SUPERVISOREMAIL__' is not allowed here and must be replaced by caller.
+	 *	@param 	string	$from                Sender email      (RFC 2822: "Name firstname <email>[, ...]" or "email[, ...]" or "<email>[, ...]")
+	 *	@param 	string	$msg                 Message
+	 *	@param 	?string[]	$filename_list       List of files to attach (full path of filename on file system)
+	 *	@param 	?string[]	$mimetype_list       List of MIME type of attached files
+	 *	@param 	?string[]	$mimefilename_list   List of attached file name in message
+	 *	@param 	string	$addr_cc             Email cc (Example: 'abc@def.com, ghk@lmn.com')
+	 *	@param 	string	$addr_bcc            Email bcc (Note: This is autocompleted with MAIN_MAIL_AUTOCOPY_TO if defined)
+	 *	@param 	int<0,1>	$deliveryreceipt     Ask a delivery receipt
+	 *	@param 	int<-1,1>	$msgishtml           1=String IS already html, 0=String IS NOT html, -1=Unknown make autodetection (with fast mode, not reliable)
+	 *	@param 	string	$errors_to      	 Email for errors-to
+	 *	@param	string|array<string,string>	$css                 Css option (should be array, legacy: empty string if none)
+	 *	@param	string	$trackid             Tracking string (contains type and id of related element)
+	 *  @param  string  $moreinheader        More in header. $moreinheader must contains the "\r\n" at end of each line
+	 *  @param  string  $sendcontext      	 'standard', 'emailing', 'ticket', 'password', ... (used to define which sending mode and parameters to use)
+	 *  @param	string	$replyto			 Reply-to email (will be set to the same value than From by default if not provided)
+	 *  @param	string	$upload_dir_tmp		 Temporary directory (used to convert images embedded as img src=data:image)
+	 *  @param	string	$in_reply_to		 Message-ID of the message we reply to
+	 *  @param	string	$references			 String with list of Message-ID of the thread ('<123> <456> ...')
 	 */
 	public function __construct($subject, $to, $from, $msg, $filename_list = array(), $mimetype_list = array(), $mimefilename_list = array(), $addr_cc = "", $addr_bcc = "", $deliveryreceipt = 0, $msgishtml = 0, $errors_to = '', $css = '', $trackid = '', $moreinheader = '', $sendcontext = 'standard', $replyto = '', $upload_dir_tmp = '', $in_reply_to = '', $references = '')
 	{
@@ -653,8 +653,6 @@
 
 			$this->msgid = time().'.'.mt_rand(100, 999).'.SMTPs-dolibarr-'.$this->trackid.'@'.$host;
 
-			$smtps->setMessageID($this->msgid);
-
 			$this->smtps = $smtps;
 		} elseif ($this->sendmode == 'swiftmailer') {
 			// Use Swift Mailer library

########## core/class/commonincoterm.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/commonincoterm.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/commonincoterm.class.php	2025-06-27 11:43:40.148331000 +0000
@@ -91,8 +91,6 @@
 	 */
 	public function getIncotermsForPDF()
 	{
-		global $langs;
-
 		$sql = "SELECT code FROM ".$this->db->prefix()."c_incoterms WHERE rowid = ".(int) $this->fk_incoterms;
 		$resql = $this->db->query($sql);
 		if ($resql) {
@@ -100,7 +98,7 @@
 			if ($num > 0) {
 				$res = $this->db->fetch_object($resql);
 				if ($res) {
-					return $langs->trans("IncotermLabel").': '.$res->code.' - '.$this->location_incoterms;
+					return 'Incoterm : '.$res->code.' - '.$this->location_incoterms;
 				} else {
 					return $res;
 				}

########## core/class/commoninvoice.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/commoninvoice.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/commoninvoice.class.php	2025-06-27 11:43:40.309147000 +0000
@@ -1341,7 +1341,7 @@
 		// Set a default value for service if not provided
 		if (empty($service)) {
 			$service = 'StripeTest';
-			if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOST('forcesandbox', 'alpha')*/) {
+			if (getDolGlobalString('STRIPE_LIVE') && !GETPOST('forcesandbox', 'alpha')) {
 				$service = 'StripeLive';
 			}
 		}

########## core/class/commonobject.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/commonobject.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/commonobject.class.php	2025-06-27 11:43:40.320417000 +0000
@@ -125,7 +125,7 @@
 
 	/**
 	 * @var int<0,1>|string  	Does this object support multicompany module ?
-	 * 							0=No test on entity, 1=Test with field entity in local table, 'field@table'=Test entity into the field@table (example 'fk_soc@societe')
+	 * 							0=No test on entity, 1=Test with field entity for internal and external users, 'field@table'=Test with link by field@table (example 'fk_soc@societe')
 	 */
 	public $ismultientitymanaged;
 
@@ -9773,7 +9773,7 @@
 	 * @param float		$unitPrice			Product unit price
 	 * @param float		$discountPercent	Line discount percent
 	 * @param int		$fk_product			Product id
-	 * @return float|int<-2,-1>				Return buy price if OK, integer <0 if KO
+	 * @return float|int<-1,-1>				Return buy price if OK, integer <0 if KO
 	 */
 	public function defineBuyPrice($unitPrice = 0.0, $discountPercent = 0.0, $fk_product = 0)
 	{
@@ -9826,8 +9826,7 @@
 				}
 			}
 		}
-
-		return (float) $buyPrice;
+		return $buyPrice;
 	}
 
 	/**

########## core/class/conf.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/conf.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/conf.class.php	2025-06-27 11:43:40.193062000 +0000
@@ -1293,7 +1293,7 @@
 				$this->global->MAIN_MODULE_DOLISTORE_API_SRV = 'https://www.dolistore.com/api/';
 			}
 			if (empty($this->global->MAIN_MODULE_DOLISTORE_API_KEY)) {
-				$this->global->MAIN_MODULE_DOLISTORE_API_KEY = 'dolistorepublicapi';
+				$this->global->MAIN_MODULE_DOLISTORE_API_KEY = 'dolistorecatalogpublickey1234567';
 			}
 
 			// Enable by default the CSRF protection by token.

########## core/class/fiscalyear.class.php
